Bug 1253562 - [Docs] [Beta] [Admin] Update external providers content to include Cinder, VMware, and separate keystone endpoints
[Docs] [Beta] [Admin] Update external providers content to include Cinder, VM...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high
: ovirt-3.6.0-rc3
: 3.6.0
Assigned To: Lucy Bopf
Megan Lewis
http://www.ovirt.org/Features/Design/...
docs
:
Depends On: 952703 1157999 1236075
Blocks: 1285925
  Show dependency treegraph
 
Reported: 2015-08-14 01:57 EDT by Andrew Dahms
Modified: 2016-02-10 13:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 09:25:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adahms: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Andrew Dahms 2015-08-14 01:57:47 EDT
In earlier versions of RHEV, you could only specify a single Keystone endpoint for external providers. This meant that when you add an OpenStack component to RHEV to act as an external provide, every component would have to be authenticated using the same Keystone instance.

In RHEV 3.6, you can specify a different Keystone instance for each provider. This appears as a new text box in the Add Provider and Edit Provider windows.

This bugs requires the following:

* Remove the existing procedure on setting Keystone authentication
* Update the topics on adding providers to add the new text box
* Add a new procedure for the new Volume provider type
* Add a new procedure for the new VMware provider type
* Update the tables on options to include the newly added fields
Comment 1 Andrew Dahms 2015-08-24 22:04:18 EDT
Assigning to Lucy for review.
Comment 2 Andrew Dahms 2015-09-02 21:18:02 EDT
As an added note, there is a new 'Cinder' radio button when creating virtual disks that allows you to select a cinder volume to use for the disk.

This appears to be the major change for Cinder integration inside the Administration Portal.
Comment 3 Lucy Bopf 2015-09-03 21:23:18 EDT
Feature page for VMware (virt-v2v) integration: http://www.ovirt.org/Features/virt-v2v_Integration

Adding two virt-v2v bugs as blockers to track their progress (currently ON_QA).

VMware vCenter hosts can be added as external providers, and the virtual machines on those hosts imported to RHEV using the 'Import' button in the 'Virtual Machines' tab of the Administration Portal.
Comment 10 Lucy Bopf 2015-11-26 20:17:23 EST
Moving to docs review. The changes and links listed in Comment 4 are the final versions, except the following topic, which was revised:

Adding an OpenStack Volume (Cinder) Instance for Storage Management [44839-773211]

Changes were made in the Administration Guide and the Virtual Machine Management Guide.
Comment 13 Lucy Bopf 2015-12-09 09:25:35 EST
This content is now live in the 3.6-beta documentation.

Note You need to log in before you can comment on or make changes to this bug.